Package org.gradle.api.artifacts

# Interface DependencySet

All Superinterfaces:
  `Buildable`, `Collection<Dependency>`, `DomainObjectCollection<Dependency>`, `DomainObjectSet<Dependency>`, `Iterable<Dependency>`, `Set<Dependency>`

public interface DependencySet extends DomainObjectSet<Dependency>, Buildable
A set of artifact dependencies.

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface org.gradle.api.DomainObjectSet

  `findAll, matching, matching, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`